YcoseplueHTcBOBaHUs QTelescope cumynsauum n anaxuTnsaumm
10/12/2017 06:59 AM - Vitaliy Schetinin

Status: 3akpbiTa Start date: 10/12/2017
Priority: Hunakuia Due date:

Assignee: Mikhail Kozlov % Done: 100%
Category: QTelescope Estimated time: 0.00 hour
Target version: v-1.0

Description

Heobxoavmo gopaboTtatbh cuMynsumio U nuaxurusaumo getektopa QTelescope ans akcnepumerHTtoB He10, S26
Ha paHHbI MOMeHT pa3spaboTaHbi:

gtelescope.geo.v1.root - reomeTpus getektopa ang S26 - Tpy napbl ABYXCTOPOHHUX NAACTUH KPeMHNSA 1 cTeHok Csl
gtelescope.geo.v2.root - reomeTtpus getektopa ons He10 - 6 0AHOCTOPOHHUX NAACTUH KPEMHUS

Knacc CUMYNSALMN C NOALEPXKOW MOVHTOB B KPEMHUN 1 Csl. Knacc onoxutusaumm ¢ noanepXKomn TONIbKO OOHOCTOPOHHUX Si.
CprKTypa BETOK Ha OaHHbIA MOMEHT Knaccuyeckas: ogHa BeTka nojg BCce NOWHTbI OQHOMO Tuna, n T.4.

Heobxonmmo:

0. Coapatb knacc ERQTelescopeSetup. 1 doopMupoBaTtb reoMeTpuio CUMMYNsiLMiA ¢ HUM. CoaaaTth dparin 6asbl JaHHbIX CEHCOPOB
QTelescope. 2 Tuna ceHcopoBs: kpuctann Csl, nnactvHa kpeMHus. MNnacTuHbl KPeMHUS 6biBaOT OAHOCTOPOHHMNE U OBYCTOPOHHME. U
TOFO M ApPYroro B AeTekTope MoXeT BbiTb MPOM3BOIbHOE KONMMYECTBO.

WHTepdelic MoxeT bblTb Takoro tuna:

ERQTelescopeSetup* setup = new ERQTelescopeSetup();
setup->AddSi("Type1",z1);
setup->AddCslI("Type1",z2);

1. MepecTpomnTb CTPYKTYpY BETOK MO HOBOMY MPUHMMY 0TOGpOXalowweMy CTpyKTypy reoMeTpum.
2. NopgenaTb OMAXWUTA3ALMIO NMOL HOBYIO CTPYKTYPY BETOK.

O onaXxuntmnsauuu:
Lnaxu KpeMHMs 3TO NMOUHTLI coBpaHHbIe ¢ NONOCKU. B cnyyae nBYXCTOPOHHEro CeHcopa - YyBCTBMTE/bHbIN 06 beM 9To KBaaparT.
OOVH KBagpaT B KOTOPbIV NONany NOMHTbLI 3aXKUraeT asa AULXW - TOPU3OHTaNbHbIA U BEPTUKANbHBIN.

Lunaxu Csl a0 BCe NOMHTLI coBpaHHble ¢ KpucTana.

[Moka NouHTLI B ANAXUTU3aunmM Haao NPocTo OTCYMMMPOBATb U HAUTU BPEMS MEPBOro Ha ANOXW.
Mocne mozenb owmnbku 6y,EI.ET BBeJeHa HacnenoBaHuem oT 6a30BOro knacca ,D.VI,D.)KI/ITVI3aLI.VIVI(iSSU€-78).

Related issues:
Related to Developing #58: QTelescope cumynsaumns OTKpbiTa 07/02/2017

History

#1 - 11/07/2017 10:56 AM - Mikhail Kozlov
- Related to Developing #58: QTelescope cumynsauns added

#2 - 11/07/2017 04:25 PM - Mikhail Kozlov

1. Ecnu s NpaBunbHO NOHSAN, TO B ABYXCTOPOHHUX MNACTMHAX KPEMHUS Mbl HE pa3HocuM X 1Y cTpunbl No ocu Z. BMecTo 3T0ro cuntaem,yTo oHu
Kak 6bl HaknaabIBAOTCS APYr HA Apyra, B NepeceyeHnm nony4aeTcs KBaapaTyk, No KOTOPOMY BblYMCNSiEM HoMepa cTpunoB X u' Y.
Tak nn ato?

2. Hy>xHo nu nponncbiBaTh OTAENbHbIE KNACCHI AUAXMN AN OOHOCTOPOHHUX U ABYXCTOPOHHUX NAACTUH KPEMHUS UM MPOCTO pasnmyatb Ux no
KaKoMy-TO napameTpy BHyTpu knacca?

3. Ecnu B reoMeTputo [o6aBnseTcs 0LHOCTOPOHHSISI MNacTUHA, BbIBMpaeT v Nofb30BaTeNlb ee OPUEHTaLMIO BOKPYr ocu Z7?
#3 - 11/07/2017 05:27 PM - Sergey Belogurov

oTBeyy Ha Bonpoc 11 3. Oa. MoToMy, Y4TO MOHM3aLMs MPOUCXOANT B OAHM 06beMe. PoxXOal0Tcsl 3aNeTKPOH-AbIPOYHbIE Mapbl. DNEKTPOHbI TAHYTCS B
O[HY CTOPOHY, AbIPKMW B Opyryto. T.0. CTpUnbl ¢ 06eMx CTOPOH 06CNy XMBAOT OLHY 1 Ty>Xe 06nacTb NPOCTPaHCTBA. 3) B XU3HW NONb30BaTEb
roBopayMBaeT NNacTUHy Tak unu nHadve. CTOPOHbI OTNNYAIOTCS TONWMHON MEPTBOrO CNOS - B 3TOM CMbICE A2, N0Nb30BaTENbBLIONpaeT
opvieHTaumio (scerna 6onee TOHKMM MEPTBBIM CNIOEM B CTOPOHY MULeHM). C T.3. CHATBIBAHUSI OPUEHTALIMS NNACTUHbI BAMSIET TOMBKO Ha
npeobpasoBaHne Homepa cTpuna B koopamHaty. Kakoi BeiBoa? JonxHa 6biTb OPUMEHTALMUS MO YMONYAHMIO.

#4 - 11/08/2017 06:40 AM - Vitaliy Schetinin
1. pa

2. C TOYKM 3pEHNS CUCTEMbI CYNTLIBAHNS ANLOXMW NS OLHOCTOPOHHEOrO U AMAXW ANS OBYXCTOPOHHEro 04MHaKoB. [1poCcTO BO BTOPOM Cnyyae ux B
nBa pasa 6onble. MNo3ToMy HY>XHO NPOCTO BBECTM Takol aTpmbyT knacca Side. KpoMe Toro, no Hawei KOHLEenuun 4To CTPyKTypa BbIXOLHOMO
goarina oTpaxaeT CTPYKTypy AeTeKTopa, B Cliyyae 04HOCTOPOHHeN nnacTuHbl 6ynet ofnHa BeTtka c digi, a B cnyYae OBYXCTOPOHHEN - BE. CM.
ERRTelescopeDigitizer

3. [a. OpueHTauunsi CTpounoB aTo napameTp ceHcopa. Ero HyxHo xpaHnTtb B ERQTelescopeSetup. CTpunbl MOryT 6bITb BEPTUKANBHBIE U
ropusoHTanbHble. Hymepauweii - cBepxy BHU3/CHU3Y BBEPX UMW CipaBa HaneBo/ Cnesa Hanpaso - HaLo 3a4aTbCs MO YMOMYaHMIO.

#5 - 11/08/2017 12:34 PM - Sergey Belogurov

Bo kak uHTepecHo! [Ba cMbicna opueHTauun. 5 MMen B BUOY, YTO Y MAOCKOMA MNACTVHbI 2 BOMbWNX FPaHN U Bbl MOXETE YyCTAHOBUTb MAACTUHY
B0 0LHOW rpaHbio K MULWeHN, Nnbo apyroi. Mpun 31O M BepTUKaNbHbIE CTPUMbI OCTAHYTCS BEPTUKANbHBIMU, @ FOPU3OHTaNbHbIE
rOPU30HTAIbHBIMWA, HO U3MEHUTCS NepecyeT HOMEepPOB CTPUMOB B KOOPAWMHATLL. Butanuk nuweT o 3afaHnv HanpasneHui CTPUNoB 1, BUAUMO, UX
Hymepaumu. [ockonbky OBe rpaHu, 0 KOTOPLIX NUcan 5, HepaBHOMpPasHbI (MPeXae BCero - pasHas ToNWnHa MepTBoro Cnos) B CUMynaLMn 3anasatb
Hafo BCe OJHO3HAYHO. Y KaxAoro ceHcopa u3 Tabnuubl MOXHO ONpenennTb, 4TO MO YMONYaHMIO CTPUMbI HA CTOPOHE C 6onee TOHKMM MEpPTBbLIM
CNnoeM BepTuKasbHbl, T.e. n3amepstoT X. Takxe no yMonyaHuio aTa CTopoHa NoBepHyTa K MulleHu. HanpasneHvne Hymepauum CTpUnos - 3afaeTcs B
Tabnuue. Janble LONXHbI 6bITb NapamMeTpbl, KOTOPblE NO3BONSIOT (MANO NN Kakne HyX bl B 3KCMEPUMEHTE) U3MEHWNTb OPUEHTALIMIO MNACTUHbI,
Kak MoBepHyB ee BOKPYr ocu nyyka (ocu Z) X->Y; Y->-X, Tak n nepesepHys Bokpyr ocu X unu Y. Mpanaraio Muwe npoaymats yaobHy0 1
HEeMnpoOTMBOPEUMBYIO CXEMY C YYETOM CKa3aHHOro.

#6 - 11/15/2017 09:13 PM - Mikhail Kozlov

Cepreit N'eHHanbeBMY, BONPOC MO NMOBOAY TOMIWMHLI MEPTBOrO CNOS B KPEMHWU: 3TO NapameTp, KOTopbii 3anaeTcs B xml-cpaine u yumToiBaetcs
npu CO30aHUV reoMeTprmn, UK OH TONBKO Ha aTane AMAXUTU3auun NosSBnseTcs, Hanpumep?

#7 - 11/16/2017 09:43 AM - Sergey Belogurov

970 napameTp, KOTOpbIi 3aKaeTcs B xml goaiine n yunTbiBaeTcs npy coznaHum reomeTpuu. MNpu paboTte ¢ Mano3apsiaHbIMU MOHAMM 3TUM CIIOEM
MOHO NpeHebpeyb, HO Ha4YMHa S0T z~4 Ha#Oo YYMTbIBATb KaK Npy CUMyNsSLWu, Tak U Npu pekoHCTpyKumn. OauH HioaHe. Heaw wupuHa n
reomMeTpusi CTpUMNoB AeTeKTopa - TOYHO U3BECTLI, TOMLWMHA MEPTBOMO CNOS - 3TO Pe3ynbTaT AOMAIHEr0 U3MEPEHUS, NO3TOMY BO3MOXHA CUTyauus,
Korza cHavana nosiBUiMCb OOHW 3HAYEHNS, MOTOM U3MePMN Bonee TOYHO.

#8 - 12/16/2017 07:33 PM - Mikhail Kozlov

3anyLuvu1 BCe N3MEeHeHnsa Nno TeKyI.IJ,eI7I 3anade.

Ha paHHbI MOMEHT, CTPYKTYypa BbIXOOHbIX BETOK COOTBECTBYET CTPYKType reoMeTpmm n B CUMynauun, 1 B ANOAXNTU3aunn.
Ins aBToMaTnyeckoro npeobpasoBaHns BXOAHbIX BETOK MOMHTOB B BETKM AULXW UCMONb3yeTCcs 0cob0e MMEHOBaHWE BETOK, TakXXe Ha3BaHus Bcex
4yBCTBUTENbHbIX 06 EMOB HauMHaOTCA CO cnoBa "Sensitive".

MoBopoT BOKPYr ocu Z ans KpeMHus 3agaeTtcs TpeTbum napametpom B ERQTelescopeSetup::AddSi() n roBoput o TOM, Kakme KoopanHaThbl
CYMTBIBAIOTCS Ha NEPBOI CTOPOHE NNACTUHbI.
qTelescopeSetup->AddSi("DoubleSit1", 0, "X"), Tak Ha (PPOHTANbHON CTOPOHE CTPUMbl CHUTLIBAKOT X-KOOPAMHATY.;
TonwmHa MepTBOro Cnosi cnepeau n caaaw 3agaetcst B xml-cpaine, nmbo Yepes neperpysky Toro xe uHtepdpeca AddsSi():
gqTelescopeSetup->AddSi("DoubleSit1", 0, "X", 0.001, 0.0015), roe nocnegHve ABa napameTpa COOBETCTBYIOT TOJWMHE MEPTBOro Clos cnepeamv un
c3aam nnacTuHbl. Ecnn napameTpbl MEPTBOrO CNos NnepenaloTcs Yepes UHTepgeinc, To TONWMHLI U3 Xml Ans JaHHOW NNacTUHbI UTHOPUPYIOTCS.

#9 - 12/28/2017 07:56 AM - Vitaliy Schetinin

dukcbl

1) undefined symbol: _ZN17ERQTelescopeSetupD1Ev - aT0 cooblieHune o3HavaeT, 4To y knacca ERQTelescopeSetup nectpyktop 06bsSBNEH, HO
He peann3osaH

2) QTelescope_Si24_sim.C - aT0T Makpoc ceiyac He paboTaet. Ero nubo ynynutb, Mo nepepenartb Ha HOBbI MaHep

#10 - 02/26/2018 07:29 AM - Vitaliy Schetinin
- Target version changed from v-0.4 to v-1.0

- % Done changed from 0 to 100

#11 - 02/26/2018 07:29 AM - Vitaliy Schetinin

- Status changed from Ortkpeita to 3akpbiTa
